Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006011opensim[REGION] OpenSim Corepublic2012-05-07 09:102012-10-16 00:38
Reporterkenvc 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformQuad core 8 gig ramOSWindows 7OS Version64 bit Pro
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0006011: OpenJpeg Unable to encode & Conversion failed red error messages
DescriptionRun Dev Master rev 18912, and while it is just sitting there idle after fully loading, get the red error message shown below in Additional Information.
Steps To ReproduceRun opensim and wait.
Additional Information 2012-05-07 00:45:37,099 WARN - OpenSim.Region.ClientStack.LindenUDP.LLClientView [CLIENT]: unhandled packet CloseCircuit
2012-05-07 01:04:07,713 ERROR - OpenSim.Region.CoreModules.World.LegacyMap.TexturedMapTileRenderer [TexturedMapTileRenderer]: OpenJpeg was unable to encode this. Asset Data is empty for 4d8ed4cc-8f5d-4736-ae77-9a8d84e21a1a
2012-05-07 01:04:15,379 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:04:16,899 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:10:04,787 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:10:22,311 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:10:39,775 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:18:44,590 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:19:15,452 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:19:16,772 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:25:04,785 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:25:22,287 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:25:39,789 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:33:44,609 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:34:15,487 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:34:17,067 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:40:04,844 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:40:22,294 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:40:39,824 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:48:44,617 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:49:15,445 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:49:17,025 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:55:04,825 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:55:22,333 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 01:55:39,925 ERROR - OpenSim.Region.CoreModules.Scripting.LoadImageURL.LoadImageURLModule [LOADIMAGEURLMODULE]: OpenJpeg Conversion Failed. Empty byte data returned!
2012-05-07 02:13:13,283 ERROR - OpenSim.Data.MySQL.MySQLSimulationData [REGION DB]: MySQL error in ExecuteNonQuery: Timeout expired. The timeout period elapsed prior to completion of the operation or the server is not responding.
2012-05-07 02:14:05,745 ERROR - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE]: Storing of Shark thx to many involved for its finish, 39fdb86f-0097-4de5-897c-ea0d901d83d5 in Night Life Sandbox failed with exception Timeout expired. The timeout period elapsed prior to completion of the operation or the server is not responding. at MySql.Data.MySqlClient.MySqlConnection.HandleTimeoutOrThreadAbort(Exception ex)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteReader(CommandBehavior behavior)
   at MySql.Data.MySqlClient.MySqlCommand.ExecuteNonQuery()
   at OpenSim.Data.MySQL.MySQLSimulationData.ExecuteNonQuery(MySqlCommand c) in C:\Users\Ken\Desktop\Opensim Git\OpenSim\Data\MySQL\MySQLSimulationData.cs:line 110
   at OpenSim.Data.MySQL.MySQLSimulationData.StoreObject(SceneObjectGroup obj, UUID regionUUID) in C:\Users\Ken\Desktop\Opensim Git\OpenSim\Data\MySQL\MySQLSimulationData.cs:line 209
   at OpenSim.Services.Connectors.SimulationDataService.StoreObject(SceneObjectGroup obj, UUID regionUUID) in C:\Users\Ken\Desktop\Opensim Git\OpenSim\Services\Connectors\Simulation\SimulationDataService.cs:line 85
   at OpenSim.Region.Framework.Scenes.SceneObjectGroup.ProcessBackup(ISimulationDataService datastore, Boolean forcedBackup) in C:\Users\Ken\Desktop\Opensim Git\OpenSim\Region\Framework\Scenes\SceneObjectGroup.cs:line 1383
2012-05-07 02:53:03,539 INFO - OpenSim.Region.DataSnapshot.DataRequestHandler [DATASNAPSHOT] Received collection request
2012-05-07 02:53:03,549 INFO - OpenSim.Region.DataSnapshot.SnapshotStore [DATASNAPSHOT]: Attempting to generate snapshot.
TagsNo tags attached.
Git Revision or version number18912
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Fileslog file icon Opensim Errors.log [^] (18,025 bytes) 2012-05-12 13:20

- Relationships

-  Notes
(0021445)
kenvc (reporter)
2012-05-12 13:21

Just attached another log file that contains many more of the following warnings:

CSJ2K threw an exception decoding texture
(0022846)
justincc (administrator)
2012-10-13 01:15

Are the OpenJPEG issues still happening with current git master? OpenJPEG has been updated in this timeframe.

However, CSJ2K is different code and may still be having the same issues as no updates have been done here.
(0022848)
kenvc (reporter)
2012-10-13 01:19

Justin,

This has not happened lately, so it may be fixed. If you want to close as fixed thats OK. I can report it again later if it starts again.

- Issue History
Date Modified Username Field Change
2012-05-07 09:10 kenvc New Issue
2012-05-07 09:25 kenvc Category [GRID] Other Service => [REGION] OpenSim Core
2012-05-12 13:20 kenvc File Added: Opensim Errors.log
2012-05-12 13:21 kenvc Note Added: 0021445
2012-10-13 01:15 justincc Note Added: 0022846
2012-10-13 01:19 kenvc Note Added: 0022848
2012-10-16 00:38 justincc Status new => closed
2012-10-16 00:38 justincc Assigned To => justincc
2012-10-16 00:38 justincc Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker